﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadSchedulerWebForm.aspx.cs"
    Inherits="RadSchedulerWebForm" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        <Scripts>
            <%--Needed for JavaScript IntelliSense in VS2010--%>
            <%--For VS2008 replace RadScriptManager with ScriptManager--%>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
        </Scripts>
    </telerik:RadScriptManager>
    <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">

        <script type="text/javascript">
            var studentGroupID = "all";
            function OnClientSelectedIndexChanged(sender, args) {
                studentGroupID = args.get_item().get_value();
                var scheduler = $find('<%=RadScheduler1.ClientID %>');
                scheduler.rebind();
            }
        </script>

    </telerik:RadCodeBlock>
    <p>
        Student group:
    </p>
    <p>
        <telerik:RadComboBox ID="RadComboBox1" runat="server" AutoPostBack="true" OnClientSelectedIndexChanged="OnClientSelectedIndexChanged"
            OnSelectedIndexChanged="RadComboBox1_SelectedIndexChanged">
            <Items>
                <telerik:RadComboBoxItem Text="Default Group"  />
                <telerik:RadComboBoxItem Text="Student group A" Value="1" />
                <telerik:RadComboBoxItem Text="Student group B" Value="2" />
            </Items>
        </telerik:RadComboBox>
    </p>
    <telerik:RadScheduler ID="RadScheduler1" runat="server" AppointmentStyleMode="Default"
        _OnClientResourcesPopulating="OnClientResourcesPopulating" SelectedView="WeekView"
        SelectedDate="2011-01-21" Width="600px" GroupBy="Student" OnResourcesPopulating="RadScheduler1_ResourcesPopulating">
        <WebServiceSettings Path="SchedulerWebService.asmx" ResourcePopulationMode="ServerSide" />
        <ResourceStyles>
            <telerik:ResourceStyleMapping Type="Teacher" Key="1" BackColor="Orange" />
            <telerik:ResourceStyleMapping Type="Teacher" Key="2" BackColor="Aqua" />
        </ResourceStyles>
    </telerik:RadScheduler>
    </form>
</body>
</html>
